Skip to main content
GET
/
events
/
top
Today's Top Events
curl --request GET \
  --url https://{regionAndDomain}.com/api/query/events/top \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://{regionAndDomain}.com/api/query/events/top"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://{regionAndDomain}.com/api/query/events/top', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "events": [
    {
      "amount": 2,
      "event": "funnel",
      "percent_change": -0.35635745999582824
    },
    {
      "amount": 75,
      "event": "pages",
      "percent_change": -0.20209602478821687
    },
    {
      "amount": 2,
      "event": "projects",
      "percent_change": 1
    }
  ],
  "type": "unique"
}

Authorizations

Authorization
string
header
required

Service Account

Query Parameters

project_id
integer
required

Required if using service account to authenticate request.

workspace_id
integer

The id of the workspace if applicable.

type
enum<string>
required

The analysis type you would like to get data for - such as general, unique, or average events. Valid values: "general", "unique", or "average".

Available options:
general,
unique,
average
limit
integer

The maximum number of events to return. Defaults to 100.

Response

200 - application/json

Success.

events
object[]
type
string